#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

DESTDIR = debian/python3-http-relay
CMD = http-relay
_ENV = $(strip PATH="$(DESTDIR)/usr/bin:$(PATH)" PYTHONPATH="$(DESTDIR)/usr/lib/$(shell py3versions -d)/dist-packages")

# generate manpage with help2man from --help option of python script
_mkman = $(_ENV) help2man $(if $3,--name "$(strip $3)") --no-info --version-string $(DEB_VERSION_UPSTREAM) --output $2 $1 || { $(_ENV) $1 --help; false; }

PYBUILD_TEST_PYTEST=1
export PYBUILD_SYSTEM=pyproject

execute_after_dh_auto_install:
	$(call _mkman, $(CMD), debian/$(CMD).1, Relay HTTP requests from local host to a remote host.)

%:
	dh $@  --buildsystem=pybuild
